#!/bin/sh

#
# execute an iet_luncopy job
#
ROOT=$(dirname $0)

#
# ensure the network stack is optimized
#
$ROOT/ndd.sh

#
# invoke iet_luncopy
#
joblog="/tmp/luncopy_$$.log"
date
echo
time $ROOT/iet_luncopy.plx $* > $joblog
date

errs=$(cat $joblog | grep 'err>')

if [ -n "$errs" ]; then
	echo
	echo "--err output--"
	echo "$errs"
	echo
fi

echo
echo "--job output--"
cat $joblog
echo

rm $joblog

