#!/bin/sh

#
# http://docs.sun.com/app/docs/doc/806-6779/6jfmsfr8a?l=ko&a=view
#
# parameters below cannot be set in /etc/system. In theory
# they should be set by some boot script. The problem is though
# that the values should be set before an iscsi client session
# is established (either direction) - currently not clear on
# how to do that. 
# Steffen
#

#
# range 8192 to 1,073,741,824 (1GB), default 1M
#
# current 128MB, before 64MB
ndd -set /dev/tcp tcp_max_buf 134217728

# congestion window size
# range 128 to 1,073,741,824 (1GB), default 1M
# must be less than tcp_max_buf
#
# current 32MB
ndd -set /dev/tcp tcp_cwnd_max 33554432

#
# default send/recieve window size in bytes
# range 4096 to 1,073,741,824 (1GB), default 16KB
#
# current 2MB, before 1MB
ndd -set /dev/tcp tcp_xmit_hiwat 2097152
ndd -set /dev/tcp tcp_recv_hiwat 2097152


