#!/bin/sh

#
# snap rotate
#
ROOT=$(dirname $0)

STAMP=$(date +%F_%T)

#
# Run it
#
$ROOT/snaprotate.plx -a > $ROOT/log/snaprotate.log 2>&1

#
# dump any errors out (delivered via email)
#
grep "err>" $ROOT/log/snaprotate.log

#
# make log history
#
if [ ! -d $ROOT/log/snaprotate.history ]; then
	mkdir $ROOT/log/snaprotate.history
fi
cp $ROOT/log/snaprotate.log $ROOT/log/snaprotate.history/snaprotate_$STAMP.log

