#!/bin/sh

#
# set zfs property
#
prop="$1"
value="$2"
zfs_object="$3"

if [ -z "$prop" -o -z "$value" -o -z "$zfs_object" ]; then
	echo
	echo "$0 property value zfz_filesystem|volume|..."
	echo
	echo "The custom propery will be prefixed with edu.amherst"
	exit 1
fi

zfs set "edu.amherst:$prop=$value" $zfs_object

