#!/bin/sh

#
# clean dangling logical device links that are not in use
#
ROOT=$(dirname $0)

echo "clean> finding /dev files"
find /dev | wc -l

echo "clean> cleaning up /dev using devfsadm -C"
devfsadm -C

echo "clean> finding /dev files"
find /dev | wc -l

echo "clean> remove unused path_to_inst entries"
wc -l /etc/path_to_inst
cp /etc/path_to_inst /tmp/path_to_inst.orig
cat /etc/path_to_inst | $ROOT/path_to_inst_fix.plx > /tmp/path_to_inst.new
cat /tmp/path_to_inst.new > /etc/path_to_inst
wc -l /etc/path_to_inst

