#!/usr/bin/perl
#
# determine the size in KB of a device or lvm slice, if it was
# just lvm, you could use lvs, however in case of plain devices
# fdisk is limited to 2TB on CentOS4, CentOS5 is ok - we need something!
#
# Steffen Plotner

use strict;
use POSIX;

if ( !defined($ARGV[0]) )
{
	print STDERR "$0 <device>\nunits are in bytes\n";
	exit(1);
}
open(FH,$ARGV[0]);
seek FH,0, SEEK_END;
my $len_bytes = tell(FH);
my $len_kb = $len_bytes / 1024;
print "$len_bytes\n";
close(FH);
exit(0);
