#!/bin/sh

prog=Tk-804.028_501

rm -fr $prog
tar -zxvf $prog.tar.gz
cd $prog
perl Makefile.PL CCCDLFLAGS="-fPIC" OPTIMIZE="-O2"

for m in $(find . -name "Makefile"); do
	echo $m
	cat $m | sed -e 's/CCCDLFLAGS = .*/CCCDLFLAGS = -fPIC/' > /tmp/m
	mv /tmp/m $m
	cat $m | sed -e 's/OPTIMIZE = .*/OPTIMIZE = -O2/' > /tmp/m
	mv /tmp/m $m
done

make

echo "do a make test, make install when you are ready"

