#!/bin/sh

#
# zfs list (zfs list -o name,avail,used,usedsnap,usedds,usedrefreserv,usedchild -t filesystem,volume)
#
#zfs list -o space $*
#
# used property = usedbychildren + usedbydataset + usedbyrefreservation + usedbysnapshots
# - so used and usedchild is being skipped, as they tend to display numbers*2
# - usedrefreserv, refreserv looks like volsize
#
zfs list \
	-o name,volsize,refreserv,compressratio,usedds,usedsnap,usedrefreserv,usedchild,used,reservation \
	-t filesystem,volume \
	$*
